<?php



class TblblogstatdayMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogstatdayMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogstatdayPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogstatdayPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogstatday');
		$tMap->setClassname('Tblblogstatday');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('STD_BLOG', 'StdBlog', 'INTEGER', true, null);

		$tMap->addPrimaryKey('STD_DATE', 'StdDate', 'TIMESTAMP', true, null);

		$tMap->addColumn('STD_PAGEVIEWS', 'StdPageviews', 'INTEGER', true, null);

		$tMap->addColumn('STD_VISITORS', 'StdVisitors', 'INTEGER', true, null);

		$tMap->addColumn('STD_BLOGTYPE', 'StdBlogtype', 'TINYINT', false, null);

		$tMap->addColumn('STD_BLOGADMIN', 'StdBlogadmin', 'INTEGER', false, null);

	} 
} 